{% if [app.session.get('user_id'),null, null, null, P.sysma_action_type_id ,null ,null , 'lecteur']|hasAccess or [app.session.get('user_id'),null, null, null, P.sysma_action_type_id ,null ,null , 'contributeur']|hasAccess %}
    <h3>{{ P.parameter|raw }}
        <small>[{{ P.parameter_id }}]</small>
        {% include('thesaurus/thesaurusSysmaActionTypeParameterModificationButton.twig') %}</h3>
    <div class="col">
        <h4>Définition</h4>
        <p>
            {% autoescape %}
                {{ P.description|raw }}
            {% endautoescape %}
        </p>
    </div>
    {% if simple|default(false) == false %}
        <div class="col">
            <h4>Source de la définition</h4>
            <p>
                {% autoescape %}
                    {{ P.sourceparameter|raw }}
                {% endautoescape %}
            </p>
            <h4>Source des données (généalogie)</h4>
            <p>
                {% autoescape %}
                    {{ P.data_source|raw }}
                {% endautoescape %}
            </p>
        </div>
    {% endif %}
    <div class="col">
        <h4>Type de données</h4>
        <p>
            {% autoescape %}
                {{ P.dataType|raw }}
            {% endautoescape %}
        </p>
        <h4>Obligatoire</h4>
        <p>
            {% autoescape %}
                {{ P.required|default(0) == 1 ? 'Oui' : 'Non' }}
            {% endautoescape %}
        </p>
    </div>
    <div class="col">
        {% if P.dataType == 'multipleTextChoiceType' or P.dataType == 'textChoiceType'  %}
            <h4>Choix</h4>

            {% for choice in P.choicesArray %}
                {% if print is not defined %}
                    <a href="{{ url('thesaurus-action-type-parameter-choice-update', { 'ido':P.sysma_action_type_id, 'id':P.parameter_id, 'idc':choice.choice_id }) }}" class="btn btn-xs btn-default">
                        <span class="glypgicon glyphicon-pencil"></span>
                    {% endif %}
                </a>
                {{ choice.nom|raw }}
                <br>
            {% endfor %}
            {% if print is not defined %}
                <p>
                    <a href="{{ url('thesaurus-action-type-parameter-choice-update', { 'ido':P.sysma_action_type_id, 'id':P.parameter_id, 'idc' : 'new' }) }}" class="btn btn-xs btn-default">Ajouter un choix</a>
                </p>
            {% endif %}
        {% endif %}
        {% if P.dataType == 'sysmaObjectLinkType'  %}
            <h4>Type d'objet lié</h4>
            {%  if P.choicesArray|default(null)|length == 1 %}
                {% if print is not defined %}
                    <a href="{{ url('thesaurus-action-type-parameter-object-type-link-update', { 'id':P.sysma_action_type_id, 'idp':P.parameter_id }) }}" class="btn btn-xs btn-default">
                        <span class="glypgicon glyphicon-pencil"></span>
                    </a>
                {% endif %}
                Type d'objet :
                {{  P.choicesArray[0].description|default(null) }}
                <small>[{{  P.choicesArray[0].nom }}]</small>
            {%  else  %}
                {% if print is not defined %}
                    <a href="{{ url('thesaurus-action-type-parameter-object-type-link-update', { 'id':P.sysma_action_type_id, 'idp':P.parameter_id }) }}" class="btn btn-xs btn-default">Définir le lien</a>
                {% endif %}
            {% endif %}
        {% endif %}
    </div>
{% endif %}
